#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1000three4xi.py">
#<abstract4xi abstract = "fires to direction three and to distance 1000"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1000three4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2THREE - COORDINATE SIGNS OF SHOOT2THREE4XI: (X + ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2three10004xi            
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

       
# -------------------------------------------------------------------------------------------------
# SHOT2THREE - COORDINATE SIGNS OF SHOOT2THREE4XI: (X + ,Y + ,Z - ) - STUBS ONLY - ALL ARE IN FILES
# -------------------------------------------------------------------------------------------------    

shot2three10004xi = {
                1:'0x19y-999z',
                2:'0x29y-999z',
                3:'0x970y-240z',
                4:'0x9y-999z',
                5:'101x969y-220z',
                6:'102x838y-535z',
                7:'103x120y-987z',
                8:'107x283y-952z',
                9:'116x122y-985z',
                10:'11x245y-969z',
                11:'11x58y-998z',
                12:'125x286y-949z',
                13:'126x899y-417z',
                14:'130x122y-983z',
                15:'132x845y-691z',
                16:'143x122y-982z',
                17:'144x287y-946z',
                18:'147x837y-526z',
                19:'14x833y-552z',
                20:'152x965y-211z',
                21:'157x120y-980z',
                22:'161x767y-620z',
                23:'164x288y-943z',
                24:'16x20y-999z',
                25:'16x67y-997z',
                26:'171x117y-978z',
                27:'174x895y-408z',
                28:'184x287y-940z',
                29:'191x833y-518z',
                30:'203x763y-612z',
                31:'203x958y-201z',
                32:'204x284y-936z',
                33:'221x889y-399z',
                34:'224x280y-933z',
                35:'22x76y-996z',
                36:'236x827y-509z',
                37:'244x757y-604z',
                38:'245x275y-929z',
                39:'24x26y-999z',
                40:'254x948y-191z',
                41:'25x253y-966z',
                42:'265x269y-925z',
                43:'269x880y-390z',
                44:'281x818y-501z',
                45:'286x260y-921z',
                46:'286x749y-596z',
                47:'303x935y-181z',
                48:'306x251y-917z',
                49:'30x84y-995z',
                50:'316x868y-381z',
                51:'31x899y-435z',
                52:'325x807y-492z',
                53:'327x240y-913z',
                54:'327x738y-588z',
                55:'32x32y-998z',
                56:'346x228y-909z',
                57:'353x919y-171z',
                58:'362x854y-371z',
                59:'368x725y-580z',
                60:'369x793y-483z',
                61:'38x91y-995z',
                62:'39x261y-964z',
                63:'3x39y-999z',
                64:'3x4y-999z',
                65:'401x901y-162z',
                66:'408x710y-572z',
                67:'408x837y-362z',
                68:'412x777y-474z',
                69:'41x36y-998z',
                70:'448x693y-564z',
                71:'448x880y-152z',
                72:'453x818y-353z',
                73:'455x758y-466z',
                74:'47x98y-993z',
                75:'487x673y-556z',
                76:'494x857y-142z',
                77:'496x737y-457z',
                78:'497x796y-343z',
                79:'50x971y-230z',
                80:'51x40y-997z',
                81:'525x651y-547z',
                82:'537x714y-448z',
                83:'539x831y-132z',
                84:'540x771y-334z',
                85:'55x268y-961z',
                86:'562x626y-539z',
                87:'577x688y-439z',
                88:'57x104y-992z',
                89:'582x745y-325z',
                90:'583x802y-122z',
                91:'58x837y-543z',
                92:'598x600y-530z',
                93:'615x660y-430z',
                94:'61x43y-997z',
                95:'622x716y-315z',
                96:'625x772y-112z',
                97:'632x571y-522z',
                98:'652x630y-421z',
                99:'661x684y-306z',
                100:'665x540y-513z',
                101:'665x739y-102z',
                102:'67x110y-991z',
                103:'687x598y-412z',
                104:'697x508y-505z',
                105:'698x651y-296z',
                106:'6x49y-998z',
                107:'704x704y-92z',
                108:'71x274y-958z',
                109:'720x563y-403z',
                110:'733x615y-286z',
                111:'740x666y-82z',
                112:'752x527y-393z',
                113:'767x578y-277z',
                114:'775x627y-72z',
                115:'78x900y-426z',
                116:'798x538y-267z',
                117:'79x114y-990z',
                118:'807x586y-62z',
                119:'89x279y-955z',
                120:'91x118y-988z',
                121:'9x12y-999z'}                       

                
 
# -----------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1000three4xi" usage = "target function for chargethree4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -----------------------------------------------------------------------------------------------------------
def fire1000three4xi(queue2three, consumer_channel2three, publisher_channel2three):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE10000THREE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE10000THREE4XI -  QUEUE2THREE: ", queue2three)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE10000THREE4XI -  CONSUMER_CHANNEL2THREE: ", consumer_channel2three)
        #  
              
        print("\n (STEP 1A4/33) OF FIRE10000THREE4XI -  PUBLISHER_CHANNEL2THREE: ", publisher_channel2three)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE10000THREE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2three.put(shot2three10004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE10000THREE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE10000THREE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2THREE: ", queue2three, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE10000THREE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4three = "<ack2put4xi>queue2three8shot2three10004xi</ack2put4xi>"
        else:
            message2send4three = "<nack2put4xi>queue2three<8shot2three10004xi/nack2put4xi>" 
            
        publisher_channel2three.send(message2send4three)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE10000THREE4XI -  SENT MESSAGE2SEND4THREE: ", message2send4three, " TO PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE10000THREE4XI *** FAILED TO SEND MESSAGE2SEND4THREE: ", message2send4three, " TO PUBLISHER_CHANNEL2THREE: ", publisher_channel2three, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE10000THREE4XI - RETURNING QUEUE OBJECT QUEUE2THREE: ", queue2three, " - TIME: ", time4xi())  
        # 
            
    return queue2three    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1000three4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
                               
                